List models
curl --request GET \
--url https://ai.eu.corti.app/v1/models \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ai.eu.corti.app/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://ai.eu.corti.app/v1/models");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);import requests
url = "https://ai.eu.corti.app/v1/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ai.eu.corti.app/v1/models",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://ai.eu.corti.app/v1/models"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://ai.eu.corti.app/v1/models")
.header("Authorization", "Bearer <token>")
.asString();{
"object": "list",
"data": [
{
"id": "corti-s1",
"created": 1782722183,
"object": "model",
"owned_by": "Corti"
},
{
"id": "corti-s1-instant",
"created": 1783330290,
"object": "model",
"owned_by": "Corti"
},
{
"id": "corti-s1-mini",
"created": 1783326675,
"object": "model",
"owned_by": "Corti"
},
{
"id": "corti-s1-mini-instant",
"created": 1783326675,
"object": "model",
"owned_by": "Corti"
},
{
"id": "corti-s1-embedding",
"created": 1783326675,
"object": "model",
"owned_by": "Corti"
}
]
}{
"error": "<string>",
"detail": "<string>"
}Models
List models
Returns the list of available models.
GET
/
models
List models
Was this page helpful?
⌘I